| Version: 3.1.5

Classes | Enumerations
oleutils.h File Reference

## Classes
class | wxVariantDataCurrency
| This class represents a thin wrapper for Microsoft Windows `CURRENCY` type. More...
class | wxVariantDataErrorCode
| This class represents a thin wrapper for Microsoft Windows `SCODE` type (which is the same as `HRESULT`). More...
class | wxVariantDataSafeArray
| This class stores `SAFEARRAY` in a wxVariant. More...

## Enumerations
enum | wxOleConvertVariantFlags { wxOleConvertVariant_Default = 0 , wxOleConvertVariant_ReturnSafeArrays = 1 }
| Flags used for conversions between wxVariant and OLE `VARIANT`. More...

## Enumeration Type Documentation

## ◆ wxOleConvertVariantFlags

enum wxOleConvertVariantFlags

Flags used for conversions between wxVariant and OLE `VARIANT`.

These flags are used by wxAutomationObject for its wxConvertOleToVariant() calls. They can be obtained by wxAutomationObject::GetConvertVariantFlags() and set by wxAutomationObject::SetConvertVariantFlags().

Since
  3.0

See also
  wxVariantDataSafeArray

Enumerator
wxOleConvertVariant_Default | Default value.
wxOleConvertVariant_ReturnSafeArrays | If this flag is used, SAFEARRAYs contained in OLE `VARIANTs` will be returned as wxVariants with wxVariantDataSafeArray type instead of wxVariants with the list type containing the (flattened) SAFEARRAY's elements.